\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Planar Parameterization of Triangulated Surface Meshes

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Types | Public Member Functions
CGAL::Two_vertices_parameterizer_3< ParameterizationMesh_3 > Class Template Reference
Border Parameterization Methods

`#include <CGAL/Two_vertices_parameterizer_3.h>`

## Definition

The class `Two_vertices_parameterizer_3` parameterizes two extreme vertices of a 3D surface.

This kind of border parameterization is used by free border parameterizations.

Implementation note: To simplify the implementation, `BorderParameterizer_3` models know only the `ParameterizationMesh_3` class. They do not know the parameterization algorithm requirements or the kind of sparse linear system used.

Is Model Of:
  `BorderParameterizer_3`

Examples:
  Surface_mesh_parameterization/polyhedron_ex_parameterization.cpp.

## Public Types
typedef ParameterizationMesh_3 | Adaptor
| Export ParameterizationMesh_3 template parameter.

## Public Member Functions
Parameterizer_traits_3 < Adaptor >::Error_code | parameterize_border (Adaptor &mesh)
| Map two extreme vertices of the 3D mesh and mark them as parameterized.
bool | is_border_convex ()
| Indicate if border's shape is convex. More...

## Member Function Documentation

template<class ParameterizationMesh_3 >

bool CGAL::Two_vertices_parameterizer_3< ParameterizationMesh_3 >::is_border_convex | ( | ) |  |

Indicate if border's shape is convex.

Meaningless for free border parameterization algorithms.